Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 521858 - >=dev-db/libiodbc-3.52.8 dropped keywords
Summary: >=dev-db/libiodbc-3.52.8 dropped keywords
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Ole Markus With (RETIRED)
URL:
Whiteboard:
Keywords: KEYWORDREQ
Depends on:
Blocks: 498010
  Show dependency tree
 
Reported: 2014-08-31 23:44 UTC by Davide Pesavento
Modified: 2014-10-14 19:31 UTC (History)
9 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Davide Pesavento gentoo-dev 2014-08-31 23:44:43 UTC
libiodbc-3.52.8 (and later revisions) dropped all KEYWORDS except for ~amd64 and ~x86 for no apparent reason. A rekeyword request has NOT been filed.

This is already bad practice by itself, but it's made even worse by the fact that 3.52.8 is the first EAPI=5 version in tree. Which means that all reverse dependencies that need EAPI=5 for proper multilib USE dependencies are forced to drop their keywords as well.

Please rectify the situation by either restoring the dropped keywords, or filing a rekeyword request (but note that e.g. ppc/ppc64 arch teams "request maintainers not to ever drop ~ppc or ~ppc64 even when they feel a major bump has occurred, eg a deep rewrite to a library"), or providing a revbump of 3.52.7-r1 converted to EAPI=5.

Thanks.
Comment 1 Manuel Rüger (RETIRED) gentoo-dev 2014-10-14 10:03:42 UTC
Maintainer timeout. Adding arches.

Please keyword dev-libs/libiodbc-3.52.8-r2
Comment 2 Davide Pesavento gentoo-dev 2014-10-14 19:31:49 UTC
No need to waste precious arches time...

  14 Oct 2014; Davide Pesavento <pesa@gentoo.org> libiodbc-3.52.8-r2.ebuild:
  Restore keywords dropped for no reason (see bug 521858).